Asterisk

Discussion in 'Linux, Freebsd, *nix' started by hpagof, 14 May 2010.

  1. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    Вобщем то начал установку стандартным образом "apt-get install asterisk asterisk-sounds-extra asterisk-mp3" всё скачалось начало устанавливаться потом он попросил код, я соответственно его ввёл установка пошла дальше без всяких ерроров в конечном итоге вот такая картина
    Code:
    Setting up dahdi-dkms (1:2.2.0.2~dfsg-1ubuntu2) ...
    Loading new dahdi-2.2.0.2 DKMS files...
    First Installation: checking all kernels...
    Building for architecture x86_64
    Building initial module for 2.6.31-14-server
    
    Ждал достаточно много...и ничего. Подскажите что не так.
     
  2. igor29

    igor29 New Member

    Joined:
    22 Jun 2009
    Messages:
    11
    Likes Received:
    0
    Reputations:
    0
    а чего не понятного это штука компилируется мой вам совет оставьте на ночь
     
  3. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    Оставил ))) Завтра утром узнаю...
     
  4. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    Прихожу утром на работу и вижу подобную картину ))) Чуть было в обморок не упал :D


    Code:
    Error!  Build of dahdi_vpmadt032_loader.ko failed for: 2.6.31-14-server (x86_64)
    Consult the make.log in the build directory
    /var/lib/dkms/dahdi/2.2.0.2/build/ for more information.
    dpkg: error processing dahdi-dkms (--configure):
     subprocess installed post-installation script returned error exit status 7
    dpkg: dependency problems prevent configuration of dahdi-linux:
     dahdi-linux depends on dahdi-dkms | dahdi-source; however:
      Package dahdi-dkms is not configured yet.
      Package dahdi-source is not installed.
    dpkg: error processing dahdi-linux (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of dahdi:
     dahdi depends on dahdi-linux; however:
      Package dahdi-linux is not configured yet.
     dahdi depends on dahdi-dkms | dahdi-source; however:
      Package dahdi-dkms is not configured yet.
      Package dahdi-source is not installed.
    dpkg: error processing dahdi (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency probleNo apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                                                     No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                           No apport report written because MaxReports is reached already
                                     No apport report written because MaxReports is reached already
                                                                                                   ms prevent configuration of asterisk:
     asterisk depends on dahdi; however:
      Package dahdi is not configured yet.
    dpkg: error processing asterisk (--configure):
     dependency problems - leaving unconfigured
    dpkg: dependency problems prevent configuration of asterisk-mp3:
     asterisk-mp3 depends on asterisk-1.6.2; however:
      Package asterisk-1.6.2 is not installed.
      Package asterisk which provides asterisk-1.6.2 is not configured yet.
    dpkg: error processing asterisk-mp3 (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     dahdi-dkms
     dahdi-linux
     dahdi
     asterisk
     asterisk-mp3
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
     
  5. Nova

    Nova Green member

    Joined:
    15 Jul 2005
    Messages:
    1,234
    Likes Received:
    417
    Reputations:
    280
    Рекомендую ставить на CentOS , и версию астерикса 1.6.
    так как 1.4 содержит серьезную узявимость , связанную с обходом авторизации SIP пользователей.

    Перед тем как ставить на центозе подключить следующии репозитарии.

    [root@pbx yum.repos.d]# cat centos-asterisk.repo


    [root@pbx yum.repos.d]# cat centos-digium.repo
     
    _________________________
    #5 Nova, 15 May 2010
    Last edited: 15 May 2010
  6. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    Начальство требует Ubuntu ))) Поэтому нужно постараться сделать, а за информацию спасибо огромное... буду иметь ввиду. Если проблема не решится сделаю на Сентосе, но это самый крайняк
     
  7. Linuxoid

    Linuxoid Elder - Старейшина

    Joined:
    13 Feb 2007
    Messages:
    201
    Likes Received:
    28
    Reputations:
    0
    Я думал только мое начальство настолько тупое, что считает убунту хорошей серверной ОСью...
     
  8. POS_troi

    POS_troi Elder - Старейшина

    Joined:
    1 Dec 2006
    Messages:
    1,574
    Likes Received:
    467
    Reputations:
    108
    Хм... Решение о применяемом ПО и ОС должен принимать Админ или ИТ Директор , исходя из соображения наиболее полной совместимости , но никак не начальство.

    По крайне мере мне уже не пытаются диктовать что на чем делать.

    З.Ы. Я предпочитаю FreeBSD , хотя признаюсь честно VoIp для массового применения не поднимал, только разок щупал что за софт и то для теста одной програмулинки нужно было =)
     
  9. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    Каждый предпочитает ту ось которую знает лучше остальных, наверно по этой причине начальство за Убунту... И потом в случае моего ухода Начальник сможет разобраться что к чему, т.к сам знает Ubuntu. :D А так я полностью с тобой согласен. ;)
     
    #9 hpagof, 16 May 2010
    Last edited: 16 May 2010
  10. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    В общем поставил Asterisk на Ubuntu привязал к нему веб интерфейс всё работает всё ок.. кроме одной маленькой детали, есть один перл файл который нужно поставить в автозагрузку, у меня это не получается... Запускать его в ручную тоже не тема. Есть какие нибудь идеи ? Как мне это сделатЬ ?
     
  11. POS_troi

    POS_troi Elder - Старейшина

    Joined:
    1 Dec 2006
    Messages:
    1,574
    Likes Received:
    467
    Reputations:
    108
    Можно по крону запускать можно кинуть в init.d (или как там в убунте) и дать права на запуск.

    Ну опять же зависит от того - нужно запускать перед чем-то или пофигу на последовательность
     
  12. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    Да всё равно ) ...
     
  13. POS_troi

    POS_troi Elder - Старейшина

    Joined:
    1 Dec 2006
    Messages:
    1,574
    Likes Received:
    467
    Reputations:
    108
    ну тогда поидеее достаточно кинуть его в папку \etc\init.d и сделать исполняемым (chmod +x)
     
  14. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    Создал файл autostart.script в /etc/init.d/
    Code:
    #!/bin/bash 
    screen -A -m -d -S domino su - notes -c "cd ~ &&/var/www/html/panel/op_server.pl"
    
    сделал его исполняемым
    Code:
     sudo chmod +x /etc/init.d/autostart.script 
    и добавил в автозагрузку.
    Code:
     sudo update-rc.d autostart.script defaults 95 
    Делаю reboot, всё запускается кроме него....
     
  15. hpagof

    hpagof Elder - Старейшина

    Joined:
    5 Oct 2006
    Messages:
    42
    Likes Received:
    3
    Reputations:
    0
    так тоже не проходит... не запускается
     
  16. Dronga

    Dronga ВАША реклама ТУТ!!

    Joined:
    1 Jul 2005
    Messages:
    575
    Likes Received:
    239
    Reputations:
    249
    Всё правильно, копайте в сторону runlevel
     
Loading...